aom_ext_part_funcs Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Callback function set for external partition model. More...

`#include <aom_external_partition.h>`

## Data Fields

aom_ext_part_create_model_fn_t | create_model
aom_ext_part_send_features_fn_t | send_features
aom_ext_part_get_decision_fn_t | get_partition_decision
aom_ext_part_send_partition_stats_fn_t | send_partition_stats
aom_ext_part_delete_model_fn_t | delete_model
aom_ext_part_decision_mode_t | decision_mode
void * | priv

## Detailed Description

Callback function set for external partition model.

Uses can enable external partition model by registering a set of callback functions with the flag: AV1E_SET_EXTERNAL_PARTITION_MODEL

## Field Documentation

## create_model

aom_ext_part_create_model_fn_t aom_ext_part_funcs::create_model

Create an external partition model.

## send_features

aom_ext_part_send_features_fn_t aom_ext_part_funcs::send_features

Send features to the external partition model to make partition decisions.

## get_partition_decision

aom_ext_part_get_decision_fn_t aom_ext_part_funcs::get_partition_decision

Get partition decisions from the external partition model.

## send_partition_stats

aom_ext_part_send_partition_stats_fn_t aom_ext_part_funcs::send_partition_stats

Send stats of the current partition to the external model.

## delete_model

aom_ext_part_delete_model_fn_t aom_ext_part_funcs::delete_model

Delete the external partition model.

## decision_mode

aom_ext_part_decision_mode_t aom_ext_part_funcs::decision_mode

The decision mode of the model.

## priv

void* aom_ext_part_funcs::priv

Private data for the external partition model.

The documentation for this struct was generated from the following file:

- aom/aom_external_partition.h